%define anolis_release 43

Name:           perl-Object-Deadly
Version:        0.09
Release:        %{anolis_release}%{?dist}
Summary:        Perl module providing an object that dies whenever examined
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Object-Deadly
Source0:        https://cpan.metacpan.org/authors/id/J/JJ/JJORE/Object-Deadly-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(B)
BuildRequires:  perl(Carp::Clan) >= 5.4
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Devel::Symdump)
BuildRequires:  perl(English)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)

%description
Object::Deadly is meant to be used in testing. All possible
overloading and method calls die. You can pass this object into
methods which are not supposed to accidentally trigger any potentially
overloading.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Object-Deadly-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files doc
%doc Changes README

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.09-43
- Import package for anolis 23
